List Reservations
Retrieve a list of reservations. The reservations can be filtered by fields such as `id`. The reservations can also be sorted or paginated.
In: header
Query Parameters
Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.
The number of items to skip when retrieving a list.
Limit the number of items returned in the list.
The field to sort the data by. By default, the sort order is ascending. To change the order to descending, prefix the field name with -.
Filter by a reservation's creation date.
Filter by a reservation's update date.
Filter by a reservation's deletion date.
Whether to include deleted records in the result.
Response Body
application/json
application/json
text/plain
application/json
application/json
application/json
application/json
curl -X GET "https://{tenant}.api.myxclade.com/admin/reservations"{
"limit": 0,
"offset": 0,
"count": 0,
"reservations": [
{
"id": "string",
"line_item_id": "string",
"location_id": "string",
"quantity": 0,
"external_id": "string",
"description": "string",
"inventory_item_id": "string",
"inventory_item": {
"id": "string",
"sku": "string",
"origin_country": "string",
"hs_code": "string",
"requires_shipping": true,
"mid_code": "string",
"material": "string",
"weight": 0,
"length": 0,
"height": 0,
"width": 0,
"title": "string",
"description": "string",
"thumbnail": "string",
"metadata": {},
"location_levels": [
{
"id": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z",
"inventory_item_id": "string",
"location_id": "string",
"stocked_quantity": 0,
"reserved_quantity": 0,
"incoming_quantity": 0,
"metadata": {},
"inventory_item": {},
"available_quantity": 0
}
]
},
"metadata": {},
"created_by": "string",
"deleted_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}{
"message": "Discount must be set to dynamic",
"type": "not_allowed"
}"Unauthorized"{
"message": "Entity with id 1 was not found",
"type": "not_found"
}{
"code": "unknown_error",
"message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
"type": "QueryRunnerAlreadyReleasedError"
}{
"code": "invalid_request_error",
"message": "Discount with code TEST already exists.",
"type": "duplicate_error"
}{
"code": "api_error",
"message": "An error occured while hashing password",
"type": "database_error"
}